com.google.gwt.util.tools.shared

## Class Md5Utils

- java.lang.Object
- - com.google.gwt.util.tools.shared.Md5Utils

    public class Md5Utils
    extends java.lang.Object

Utility class to generate MD5 hashes using per-thread MD5 `MessageDigest` instance.

### Constructor Summary

Constructors
Constructor and Description
`Md5Utils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static byte[]` `getMd5Digest(byte[] input)` Generate MD5 digest.
`static byte[]` `getMd5Digest(java.lang.String string)` Generate MD5 digest.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Md5Utils

    public Md5Utils()

### Method Detail

#### getMd5Digest

    public static byte[] getMd5Digest(byte[] input)

Generate MD5 digest.

Parameters:
  `input` - input data to be hashed.
Returns:
  MD5 digest.

#### getMd5Digest

    public static byte[] getMd5Digest(java.lang.String string)

Generate MD5 digest.